# Seminar Datenanalyse, Institut für Publizistik, JGU Mainz
# 2024-06-17

library(psych)
library(tidyverse)
vb <- readxl::read_excel("data/victim_blaming.xlsx")

## Summenindex berechnen

vb |>
  mutate(strafen = v_9a + v_9b + v_9c + v_9d + v_9e + v_9f + v_9g) |>
  select(v_9a, strafen) # der Select-Befehl dient lediglich der Tabellenerstellung für die Übersicht

strafen_ind <- vb |>
  select(v_9a:v_9g) |>
  rowSums(na.rm = TRUE)

vb <- vb |>
  mutate(strafen_index = strafen_ind)

vb |>
  select(v_9a, strafen_index)

vb |>
  summarise(
    Mittelwert = mean(strafen_index, na.rm = TRUE),
    Standardabweichung = sd(strafen_index, na.rm = TRUE)
  )

## Verwendung von rowSums() in einer Pipe mit mutate()

## Prüfung der internen Konsistenz

## Disclaimer - Cronbachs Alpha zur Prüfung interner Konsistenz

vb |>
  select(v_14a:v_14e) |>
  psych::alpha()

vb <- vb |>
  mutate(v_14crec = 6 - v_14c)

vb |>
  select(v_14c, v_14crec)

vb |>
  select(v_14a, v_14b, v_14crec, v_14d, v_14e) |>
  psych::alpha()

## Mittelwertindex berechnen

vb <- vb |>
  mutate(v_14crec = 6 - v_14c)

vb |>
  select(v_14c, v_14crec)

vb_ind <- vb |>
  select(v_14a, v_14b, v_14crec, v_14d, v_14e) |>
  rowMeans(na.rm = TRUE)

vb <- vb |> # Hier fügen wir die neue Variable an unseren Datensatz an
  mutate(vb_index = vb_ind)

vb |> # Schließlich berechnen wir den Mittelwert und die Standardabweichung
  summarise(
    Mittelwert = mean(vb_index, na.rm = TRUE),
    Standardabweichung = sd(vb_index, na.rm = TRUE)
  )

