# Seminar Datenanalyse, Institut für Publizistik, JGU Mainz
# 2024-06-17

library(report)
library(tidyverse)
theme_set(theme_minimal())
vb <- readxl::read_excel("data/victim_blaming.xlsx")

## Korrelation

vb |>
  summarise(
    m_symp = mean(v_5k, na.rm = TRUE),
    sd_symp = sd(v_5k, na.rm = TRUE),
    m_mitleid = mean(v_11, na.rm = TRUE),
    sd_mitleid = sd(v_11, na.rm = TRUE)
  )

cor.test(~ v_5k + v_11, data = vb)

## Korrelationsmatrizen

vb <- vb |>
  mutate(symp = 6 - v_5k)

cor.test(~ symp + v_11, data = vb)

cor.test(~ symp + v_11, data = vb) |>
  report_table()

## Rangkorrelationen

## Bivariate Regression

lm(v_11 ~ symp, data = vb)

## Was können wir tun, um den Intercept interpretierbar zu machen?

lm(v_11 ~ symp, data = vb) |>
  report_table()

## Multiple Regression

lm(v_11 ~ symp + v_6, data = vb) |>
  report_table()

## Visualisierung

vb |>
  ggplot(aes(x = v_11, y = symp)) +
  geom_jitter() +
  geom_smooth(method = "lm") +
  labs(x = "Sympathie", y = "Mitleid")

