# Seminar Datenanalyse, Institut für Publizistik, JGU Mainz
# 2024-06-17

library(report)
library(tidyverse)
theme_set(theme_minimal())
vb <- readxl::read_excel("data/victim_blaming.xlsx")

## Arten von t-Tests

## Gerichtete Hypothesen und einseitiges Testen

## t-Test bei einer Stichprobe

vb |>
  summarise(
    m_vb = mean(vb_index, na.rm = TRUE),
    sd_vb = sd(vb_index, na.rm = TRUE)
  )

## t.test(Datenframe$variable, mu = Zahlenwert)

t.test(vb$vb_index, mu = 3)

t.test(vb$vb_index, mu = 3) |>
  report_table()

## t-Test bei verbundenen Stichproben

vb |>
  summarise(
    m_selbstvertrauen = mean(v_15e, na.rm = TRUE),
    sd_selbstvertrauen = sd(v_15e, na.rm = TRUE),
    m_depressiv = mean(v_15f, na.rm = TRUE),
    sd_depressiv = sd(v_15f, na.rm = TRUE),
    m_differenz = mean(v_15e - v_15f, na.rm = TRUE)
  )

t.test(vb$v_15e, vb$v_15f, paired = TRUE) |>
  report_table()

## Fehlende Werte

## t-Test bei unabhängigen Stichproben

vb |>
  group_by(info) |>
  summarise(
    mean_vb = mean(vb_index, na.rm = TRUE),
    sd_vb = sd(vb_index, na.rm = TRUE),
    n = n()
  )

t.test(vb_index ~ info, data = vb) |>
  report_table()

## Hinweis zu Freitheitsgraden mit Nachkommastelle

## Visualisierung

vb |>
  ggplot(aes(x = info, y = vb_index)) +
  geom_boxplot() +
  labs(x = "Versuchsbedingung", y = "Victim Blaming")

